﻿using IQAP.Ofertas.Recursos.Textos;
using IQAP.Shared.Common.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio
{
    public class IncrementoPrecioImprimirMensajeConstructor : IMensajeConstructor
    {
        private readonly string _cliente;
        private readonly List<string> _adjuntos;
        public IncrementoPrecioImprimirMensajeConstructor(string cliente, List<string> adjuntos)
        {
            _cliente = cliente;
            _adjuntos = adjuntos;
        }
        public string ObtenerMensaje()
        {
            return String.Format(Mensajes.MensajeEmailIncrementoPrecio, _cliente);
        }

        public string ObtenerTitulo()
        {
            return String.Format(Mensajes.TituloEmailIncrementoPrecio, _cliente);
        }

        public List<string> ObtenerAdjuntos()
        {
            return _adjuntos;
        }
    }
}
