﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio.Modelo
{
    public partial class Aplicacion
    {
        public string ProcesosString
        {
            get
            {
                if(this.Procesos!= null)
                {
                    return String.Join(", ", Procesos.Select(p => p.IdProceso).ToArray());
                }
                return string.Empty;
            }
        }

        public string AplicacionesCompatiblesString
        {
            get
            {
                if (this.AplicacionCompatibles != null)
                {
                    return String.Join(", ", AplicacionCompatibles.Select(a => a.AplicacionCompatible == null ? string.Empty : a.AplicacionCompatible.Descripcion).ToArray());
                }
                return string.Empty;
            }
        }
    }
}
