﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio.Modelo
{
    public class FiltroConsultaTarifas
    {
        public string Grupo { get; set; }
        public string Cliente { get; set; }
        public string ClienteFinal { get; set; }
        public string Representante { get; set; }
        public string Articulo { get; set; }
        public string ListaPrecios { get; set; }
        public DateTime? Fecha { get; set; }
        public bool VerHistorico { get; set; }

        public bool VerReferenciaInterna { get; set; }
        public bool VerSoloTarifasAplica { get; set; }
        public bool VerCoste { get; set; }
        public List<string> AsistentesPermitidas { get; set; }

        public FiltroConsultaTarifas()
        {
            AsistentesPermitidas = new List<string>();
        }
        public void Clear()
        {
            Grupo = string.Empty;
            Cliente = string.Empty;
            ClienteFinal = string.Empty;
            Representante = string.Empty;
            Articulo = string.Empty;
            ListaPrecios = string.Empty;
            Fecha = null;
            VerHistorico = false;
            VerReferenciaInterna = false;
            VerSoloTarifasAplica = false;
            VerCoste = false;
            
            AsistentesPermitidas = new List<string>();
        }
    }
}
