﻿using System;
using System.Collections.Generic;
using System.DirectoryServices.AccountManagement;
using System.Linq;
using System.Web;

namespace IQAP.Ofertas.Services.Datos
{
    internal class ValidacionUsuarioAPI
    {
        //Busca l'usuari al Active Directory amb nom iqapgrup.local
        public string CheckCredentials(string userName, string password)
        {
            string userPrincipalName = userName + "@iqapgrup.local";

            try
            {
                using (var context = new PrincipalContext(ContextType.Domain, "iqapgrup.local"))
                {
                    if (context.ValidateCredentials(userPrincipalName, password))
                    {
                        var usr = UserPrincipal.FindByIdentity(context, userName);
                        return usr.DisplayName.ToString();
                    }
                    else
                    {
                        return null;
                    }
                        
                }
            }
            catch // a bogus domain causes an LDAP error
            {
                return null;
            }
        }
    }
}