﻿using IQAP.Ofertas.Negocio.Datos;
using IQAP.Ofertas.Negocio.Modelo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio.API
{
    public class NegocioAPI
    {
        public IEnumerable<Modelo.Negocio> ObtenerNegocios()
        { 
            using (var Repositorio = new RepositorioManager(new OfertasEntities()))
            {
                return Repositorio.Negocios.SeleccionarTodos();
            }
        }

        public Modelo.Negocio ObtenerNegocio(int idNegocio)
        {
            using (var Repositorio = new RepositorioManager(new OfertasEntities()))
            {
                return Repositorio.Negocios.Obtener(idNegocio);
            }
        }
    }
}
