﻿using IQAP.Ofertas.Negocio.Datos;
using IQAP.Ofertas.Negocio.Modelo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio.API
{
    public class RepresentanteAPI
    {
        public IEnumerable<Representante> SeleccionarRepresentantes()
        {            
            using (var Repositorio = new RepositorioManager(new OfertasEntities()))
            {
                return Repositorio.Representantes.SeleccionarTodos().OrderBy(r=>r.Nombre).ToList();
            }
        }

        public Representante ObtenerRepresentante(string idRepresentante)
        {
            using (var Repositorio = new RepositorioManager(new OfertasEntities()))
            {
                return Repositorio.Representantes.Seleccionar(r => r.IdRepresentante == idRepresentante).FirstOrDefault();
            }
        }
    }
}
