﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio.Modelo
{
    public class DatosCalculo
    {
        public short IdCalculo { get; set; }
        public short IdNegocio { get; set; }

        public string Negocio { get; set; }

        public string Descripcion { get; set; }

        public List<string> EscaladoCostes { get; set; }

        public string EscaladoCostesString
        {
            get
            {
                if(EscaladoCostes!=null && EscaladoCostes.Count>0)
                {
                    return String.Join(" | ", EscaladoCostes);
                }
                return string.Empty;
            }
        }

        public bool CriterioAjusteEscaladoKg { get; set; }
        public bool CriterioArea { get; set; }
        public bool CriterioPolimero { get; set; }

        public decimal? DescuentoDistribuidor { get; set; }
        public decimal? Comision { get; set; }


    }
}
