﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio.Modelo
{
    public class DatosOferta
    {
        public int IdOferta { set; get; }
        public int? IdOfertaOrigen { set; get; }
        public int NumeroVersion { set; get; }
        public string DescripcionOferta { set; get; }
        public string Negocio { get; set; }
        public string IdCliente { get; set; }
        public string DescripcionCliente { get; set; }
        public DateTime Fecha { get; set; }
        public DateTime? FechaImpresion { get; set; }
        public string DescripcionRepresentante { get; set; }
        public string DescripcionResponsable { get; set; }
        public string DescripcionAsistente { get; set; }
        public string Articulos { get; set; }
        public bool IntegradaM3 { get; set; }
        public bool ErrorIntegracion
        {
            get
            {
                return FechaImpresion.HasValue && !IntegradaM3;
            }
        }
    }
}
