﻿using IQAP.Ofertas.Recursos.Textos;
using IQAP.Shared.Common;
using IQAP.Shared.Common.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IQAP.Ofertas.Negocio
{
    public class NotificadorOferta : INotificador
    {
        public void Notificar(ICanalNotificacion canal)
        {
            if (canal == null)
            {
                throw new ArgumentNullException("canal nulo");
            }
            try
            {
                canal.Enviar();
            }
            catch(Exception ex)
            {
                Logger.Error(String.Format(Mensajes.ErrorEnviarEmail, canal.InfoDestinatarios), ex);
                throw;
            }
        }
    }
}
