﻿using IQAP.OfertasApp.ViewModels;
using IQAP.OfertasAPP.Negocio.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace IQAP.OfertasApp.Views
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class LineasPage : ContentPage
    {
        private readonly LineasViewModel _viewModel;
        public LineasPage(int idOferta, List<LineaOferta> lineasOferta)
        {
            InitializeComponent();

            _viewModel = new LineasViewModel() {IdOferta = idOferta, ListaLineasOfertas = lineasOferta };
            this.BindingContext = _viewModel;
        }
        async void Handle_ItemTapped(object sender, ItemTappedEventArgs e)
        {
            if (e.Item == null)
                return;

            var lineaOferta = e.Item as LineaOferta;
            if (lineaOferta != null)
            {
                await _viewModel.MostrarPrecio(lineaOferta.IdLineaOferta, lineaOferta.Articulo);
            }
        }
    }
}