﻿using IQAP.OfertasApp.ViewModels;
using IQAP.OfertasAPP.Negocio.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace IQAP.OfertasApp.Views
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class ListadoOfertaPage : ContentPage
	{
        private readonly ListadoOfertaViewModel _viewModel;
        public ListadoOfertaPage (List<Oferta> ofertas)
		{
			InitializeComponent ();
            _viewModel = new ListadoOfertaViewModel() { ListaOfertas = ofertas };
            this.BindingContext = _viewModel;
        }

        async void Handle_ItemTapped(object sender, ItemTappedEventArgs e)
        {
            if (e.Item == null)
                return;

            var oferta = e.Item as Oferta;
            if (oferta != null)
            {
                await _viewModel.ObtenerLineas(oferta.IdOferta);

            }
        }
    }
}