﻿using IQAP.OfertasApp.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace IQAP.OfertasApp.Views
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class LoginPage : ContentPage
	{
        private readonly LoginViewModel _viewModel;
        public LoginPage ()
		{
			InitializeComponent ();

            _viewModel = new LoginViewModel();
            this.BindingContext = _viewModel;
        }
        private async void OnIdiomaTapped(object sender, EventArgs args)
        {
            try
            {
                //Code to execute on tapped event
                var imagen = (Image)sender;
                var nombre = imagen.Source as FileImageSource;
                switch (nombre.File)
                {
                    case "catala":
                        await _viewModel.Traducir("ca");
                        break;
                    case "espanol":
                        await _viewModel.Traducir("es");
                        break;
                    case "aleman":
                        await _viewModel.Traducir("de");
                        break;
                    case "frances":
                        await _viewModel.Traducir("fr");
                        break;
                    default:
                        await _viewModel.Traducir("en");
                        break;
                }

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
    }
}