﻿using IQAP.OfertasApp.ViewModels;
using IQAP.OfertasAPP.Negocio.Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace IQAP.OfertasApp.Views
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class PreciosPage : ContentPage
	{
		private readonly PreciosViewModel _viewModel;
		public PreciosPage (List<KeyValuePair<short, decimal>> precio, string title)
		{
			InitializeComponent();

			
			_viewModel = new PreciosViewModel() { Precio = precio, Titulo=title };            
			this.BindingContext = _viewModel;
		}
	}
}